#!/bin/bash

# abort the script on any error:
set -e

# echo the commands:
# set -x

APPNAME="PTGui"
VIEWERNAME="PTGui Viewer"
INSTALLDIR=/opt/ptgui

if [ "$EUID" -ne 0 ]
  then echo "Please run as root (sudo)."
  exit 1
fi

echo "This will delete the directory ${INSTALLDIR}/"
echo "File types will be unregistered and ${APPNAME} will be removed from the desktop."
echo ""
read -p "Press Enter to continue, Ctrl+C to abort:"

xdg-mime uninstall --mode system /usr/share/mime/packages/newhouse-ptguimimetypes.xml

xdg-desktop-menu uninstall --mode system /usr/share/applications/newhouse-ptgui.desktop

xdg-desktop-menu install --mode system /usr/share/applications/newhouse-ptguiviewer.desktop

xdg-icon-resource uninstall --mode system --context mimetypes --size 256 application-x-ptguiproject

xdg-icon-resource uninstall --mode system --context mimetypes --size 256 application-x-ptguibatchlist

rm -rf "${INSTALLDIR}"

echo "${APPNAME} was removed succesfully!"

